---
services:
  qbittorrent:
    image: lscr.io/linuxserver/qbittorrent:latest
    container_name: qbittorrent
    environment:
      - PUID=1000
      - PGID=1000
      - TZ=Etc/UTC
      - WEBUI_PORT=8000
      - TORRENTING_PORT=6881
    volumes:
      - ~/userdata/qbittorrent/appdata:/config
      - ~/downloads:/downloads #optional
    ports:
      - 8000:8000
      - 6881:6881
      - 6881:6881/udp
    restart: unless-stopped
